<!DOCTYPE html>
<html>
    <body>
        <center>
            <h1>Hello {{ request.user }}, welcome to my chat site!</h1>
        </center>
        <br>
        {% if request.user.is_authenticated %}
            <center><a href = "{% url 'logout-user' %}">Logout</a></center>
        {% endif %}
        <div class="chat__item__container"
             id="id_chat_item_container"
             style="font-size: 20px">
            <br />
            <input type="text" id="id_message_send_input" />
            <button type="submit" id="id_message_send_button">Send Message</button>
            <br />
            <br />
        </div>
        <script>
	const chatSocket = new WebSocket("ws://" + window.location.host + "/");
	chatSocket.onopen = function (e) {
		console.log("The connection was setup successfully !");
	};
	chatSocket.onclose = function (e) {
		console.log("Something unexpected happened !");
	};
	document.querySelector("#id_message_send_input").focus();
	document.querySelector("#id_message_send_input").onkeyup = function (e) {
		if (e.keyCode == 13) {
		document.querySelector("#id_message_send_button").click();
		}
	};
	document.querySelector("#id_message_send_button").onclick = function (e) {
		var messageInput = document.querySelector(
		"#id_message_send_input"
		).value;
		chatSocket.send(JSON.stringify({ message: messageInput, username : "{{request.user.username}}"}));
	};
	chatSocket.onmessage = function (e) {
		const data = JSON.parse(e.data);
		var div = document.createElement("div");
		div.innerHTML = data.username + " : " + data.message;
		document.querySelector("#id_message_send_input").value = "";
		document.querySelector("#id_chat_item_container").appendChild(div);
	};

        </script>
    </body>
</html>
